# Generated by Django 5.0.3 on 2024-03-25 13:39

import dsfr.models
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("dsfr", "0003_alter_dsfrconfig_accessibility_status"),
    ]

    operations = [
        migrations.AddField(
            model_name="dsfrconfig",
            name="beta_tag",
            field=models.BooleanField(
                default=False, verbose_name="Afficher la mention BETA à côté du titre"
            ),
        ),
        migrations.AddField(
            model_name="dsfrconfig",
            name="operator_logo_alt",
            field=models.CharField(
                blank=True,
                help_text="Doit impérativement contenir le texte présent dans l’image.",
                max_length=200,
                verbose_name="Alternative textuelle du logo",
            ),
        ),
        migrations.AddField(
            model_name="dsfrconfig",
            name="operator_logo_file",
            field=models.FileField(
                blank=True,
                null=True,
                upload_to="logos",
                validators=[dsfr.models.validate_image_extension],
                verbose_name="Logo opérateur",
            ),
        ),
        migrations.AddField(
            model_name="dsfrconfig",
            name="operator_logo_width",
            field=models.DecimalField(
                decimal_places=1,
                default="0.0",
                help_text="À ajuster en fonction de la largeur du logo.\n        Exemple pour un logo vertical: 3.5, Exemple pour un logo horizontal: 8.",
                max_digits=3,
                null=True,
                verbose_name="Largeur (em)",
            ),
        ),
    ]
